Subject: bug#4515: 23.1.50; Reverting changes on versioned file does not revert vc modeline status

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 24 Sep 2009 10:20:51 -0700 (PDT)

Óscar Fuentes <[email-masked]> writes:

  > Dan Nicolaescu <[email-masked]> writes:
  > 
  > > Stefan Monnier <[email-masked]> writes:
  > >
  > >   > > Automatically checking the VC state after each save is actually
  > >   > > performed if there is a vc-dired buffer for the working copy where the
  > >   > > file resides. That check updates the vc-dired with the correct state of
  > >   > > the saved file.
  > >   > 
  > >   > Indeed.  That requires the status info to be obtainable cheaply.
  > >
  > > There's a major difference: vc-dir is asynchronous, whereas updating the
  > > same info when saving a file is synchronous, so it will be on the
  > > critical path.
  > 
  > Are you saying that vc-dir updates the file status asynchronously after
  > a file is saved? vc-dir-recompute-file-state does

Hmm, I implemented that probably 2 years ago ago, but it does not look
like I checked it in...  and I can't seem to find that patch anymore.  :-(

  > 	 (state (vc-call-backend vc-dir-backend 'state fname))
  > 	 (extra (vc-call-backend vc-dir-backend
  > 				 'status-fileinfo-extra fname)))

This function should instead be using `vc-dir-refresh-files' to work
asynchronously.

Given that nobody noticed this until now, maybe it's not too bad.